
import { For } from 'solid-js'
import MessageItem from './../main/MessageItem'
import Banner from './banner'
import './style.css'
import { createEffect, createSignal, useEffect, onMount,sg } from 'solid-js'
import { fetchData } from '../../http/api'

export default () => {

  const currentDomain = window.location.hostname;
  const contentDomain = currentDomain == 'gtering.com' ? 'Gtering.com' : 'Ansnid.Com';

  const [views, setViews] = createSignal(0)
  const [url, setUrl] = createSignal('')
  const [title, setTitle] = createSignal(contentDomain)
  const [items, setItems] = createSignal([])
  
  // localStorage.setItem('theme', 'light');
  document.documentElement.classList.toggle('dark', false)

  onMount(() => {
    fetchData(null, function (data) {

      setViews(data.data.views);
      setUrl(data.data.url);
      setItems(data.data.items);
      setTitle(data.data.title);
      document.title = data.data.title ? `${(data.data.title || t('conversations.untitled'))} - ` + contentDomain : contentDomain

    }, "/chatgptApi/conversations?url=" + encodeURIComponent(window.location.href))


  }, []);

  let [moreBox,setMoreBox]= createSignal(false)
  return (
    <div class="flex flex-col h-full">
      <div style="text-align: center; padding: 0.75rem;">
        {title}
      </div>
      <div class="scroll-list relative flex flex-col h-full overflow-y-scroll">
        <For each={items()}>
          {(message, index) => (
            <div class="border-b border-lighter">
              <MessageItem
                message={message}
                index={index()}
              />
            </div>
          )}
        </For>
      </div>
      <div class={[moreBox()?'more-show-box more-hid-box flex-end':'more-hid-box flex-end'].join()}  onClick={()=>setMoreBox(!moreBox())}>
        <div class='more-btn'>
          <Banner views={views} url={url} title={title}/>
          <div class='icon'>
            <div class='icon-r'></div>
            <div class='icon-r mg-l-3'></div>
            <div class='icon-r mg-l-3'></div>
          </div>
        </div>
      </div>
    </div>
  )
}